---
title: Integration Framework
description: Our integration framework is crafted to easily build data-in integrations.
---

Our integration framework is crafted to easily build data-in integrations.

### Starting the Integration
We initiate the process by recording the integration and sending a message to begin.

### Generating Streams
We then create various data streams and send messages to start their processing.

### Fetching Data from External Sources
For each stream, we gather data from external sources, store it in our system, and send messages for further processing.

### Data Processing
We process the gathered data, generate results, and send messages for additional processing.

### Updating Our System
We then integrate the results into our database.

This new framework allows us to effectively monitor integration progress and pinpoint issues primarily arising from external sources. With all essential external data stored in our system, we can address errors more efficiently, reducing potential issues for users.

This update improves the stability of our integration systems, enhancing the overall user experience.